Subject: Re: [PATCH v3] powerpc: spinlock: Fix spin_unlock_wait()

From: Michael Ellerman <[email-masked]>
Date: Fri, 10 Jun 2016 10:57:54 +1000

On Thu, 2016-06-09 at 19:50 +0200, Peter Zijlstra wrote:
> On Thu, Jun 09, 2016 at 10:23:28PM +1000, Michael Ellerman wrote:
> > Unfortunately the patch isn't 100%.
> 
> So what I'll do; since my patch is trying to ensure all implementations
> of spin_unlock_wait() provide ACQUIRE semantics, and this patch does
> indeed do so, is skip touching PPC entirely and hope this patch lands
> before 4.8.

OK.

I don't see any reason it wouldn't make 4.8, we just need to decide whether we
use the old "while (lock->slock)" or one of the other options Boqun proposed.

cheers